service_client_factory_start_service
service_client_free
service_client_new
service_client_t
SERVICE_CONSTRUCTOR
service_disable_bypass_ssl
service_disable_ssl
service_enable_ssl
service_error_t
service_get_connection
service_receive
service_receive_with_timeout
service_send

## service_get_connection()

LIBIMOBILEDEVICE_API service_error_t service_get_connection | ( | service_client_t | client,
|  | idevice_connection_t * | connection )

Return a handle to the parent idevice_connection_t of the given service client.

Parameters

  client | The service client
  connection | Pointer to be assigned to the idevice_connection_t.

Returns
  SERVICE_E_SUCCESS on success, SERVICE_E_INVALID_ARG if one or more of the arguments are invalid.